提交 fc1c9878 authored 作者: 陈欢's avatar 陈欢

fix

上级 81c4da2a
FROM node:11 as builder
RUN apt-get install -y git python make openssl tar gcc
ADD yapi.tgz /home/
RUN mkdir /api && mv /home/package /api/vendors
RUN cd /api/vendors && \
npm install --production --registry https://registry.npm.taobao.org
FROM node:11
MAINTAINER hua.xu
ENV TZ="Asia/Shanghai" HOME="/"
WORKDIR ${HOME}
COPY --from=builder /api/vendors /api/vendors
COPY config.json /api/
EXPOSE 3001
COPY docker-entrypoint.sh /api/
RUN chmod 755 /api/docker-entrypoint.sh
ENTRYPOINT ["/api/docker-entrypoint.sh"]
{
"port": "MY_PORT",
"adminAccount": "MY_ACOUNT",
"db": {
"servername": "MY_DB_SERVER",
"DATABASE": "MY_DB_NAME",
"port": "MY_DB_PORT",
"user": "MY_USER",
"pass": "MY_PASS",
"authSource": "MY_AUTH"
}
}
version: '3.7'
networks:
netdci:
services:
yapi:
build:
context: ./
dockerfile: ./Dockerfile
image: skycitygalaxy/yapi
container_name: yapi
environment:
- VERSION=1.8.1
- LOG_PATH=/tmp/yapi.log
- HOME=/home
- MY_PORT=3001
- MY_ACOUNT=heroxu123@gmail.com
- MY_DB_SERVER=127.0.0.1
- MY_DB_NAME=yapi
- MY_DB_PORT=27027
- MY_USER=xu
- MY_PASS=xu
- MY_AUTH=test
ports:
- 127.0.0.1:3000:3000
volumes:
- ~/data/yapi/log/yapi.log:/home/vendors/log # log dir
depends_on:
- mongo
networks:
- netdci
mongo:
image: mongo
container_name: mongo
ports:
- 127.0.0.1:27027:27017
volumes:
- ~/data/yapi/mongodb:/data/db #db dir
networks:
- netdci
#!/bin/bash
set -eo pipefail
shopt -s nullglob
MY_PORT="${MY_PORT:=3000}"
MY_ACOUNT="${MY_ACOUNT:=heroxu123@gmail.com}"
MY_DB_SERVER="${MY_DB_SERVER:=127.0.0.1}"
MY_DB_NAME="${MY_DB_NAME:=yapi}"
MY_DB_PORT="${MY_DB_PORT:=27027}"
MY_USER="${MY_USER:=xu}"
MY_PASS="${MY_PASS:=xu}"
MY_AUTH="${MY_AUTH:=test}"
config() {
if [[ -z "${MY_PORT}" || -z "${MY_ACOUNT}" || -z "${MY_DB_SERVER}" || -z "${MY_DB_NAME}" || -z "${MY_DB_PORT}" || -z "${MY_USER}" || -z "${MY_PASS}" || -z "${MY_AUTH}" ]]; then
echo -e "\n\"MY_PORT\" or \"MY_ACOUNT\" or \"MY_DB_SERVER\" or \"MY_DB_NAME\" or \"MY_DB_PORT\" or \"MY_USER\" or \"MY_PASS\" or \"MY_AUTH\" can not be empty!\n" && exit 1
else
sed -i "s#MY_PORT#${MY_PORT}#g" /api/config.json
sed -i "s#MY_ACOUNT#${MY_ACOUNT}#g" /api/config.json
sed -i "s#MY_DB_SERVER#${MY_DB_SERVER}#g" /api/config.json
sed -i "s#MY_DB_NAME#${MY_DB_NAME}#g" /api/config.json
sed -i "s#MY_DB_PORT#${MY_DB_PORT}#g" /api/config.json
sed -i "s#MY_USER#${MY_USER}#g" /api/config.json
sed -i "s#MY_PASS#${MY_PASS}#g" /api/config.json
sed -i "s#MY_AUTH#${MY_AUTH}#g" /api/config.json
fi
}
config
node /api/vendors/server/app.js
exec "$@"
function usage(){
echo "usage: sh build.sh <version>"
echo "默认版本: 1.7.1"
echo "yapi的版本: https://github.com/YMFE/yapi/releases"
echo "我们将从这里下载: http://registry.npm.taobao.org/yapi-vendor/download/yapi-vendor-\$1.tgz"
}
version=1.7.1
if [ -n "$1" ]; then
version=$1
fi
usage
echo -e "\033[32m download new package (version $version) \033[0m"
wget -O yapi.tgz http://registry.npm.taobao.org/yapi-vendor/download/yapi-vendor-$version.tgz
function usage(){
echo "usage: sh build.sh <version>"
echo "默认版本: 1.7.1"
echo "yapi的版本: https://github.com/YMFE/yapi/releases"
echo "我们将从这里下载: http://registry.npm.taobao.org/yapi-vendor/download/yapi-vendor-\$1.tgz"
}
version=1.7.1
if [ -n "$1" ]; then
version=$1
fi
usage
echo -e "\033[32m download new package (version $version) \033[0m"
wget -O yapi.tgz http://registry.npm.taobao.org/yapi-vendor/download/yapi-vendor-$version.tgz
server
{
listen 80;
server_name web.comment.local;
index index.php index.html index.htm default.php default.htm default.html;
root /home;
location / {
index index.html index.htm index.php;
}
}
172.18.0.1 - - [23/Aug/2023:08:55:21 +0000] "GET / HTTP/1.1" 502 559 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:21 +0000] "GET /favicon.ico HTTP/1.1" 502 559 "http://comment.local/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:22 +0000] "GET / HTTP/1.1" 502 559 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:22 +0000] "GET /favicon.ico HTTP/1.1" 502 559 "http://comment.local/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:23 +0000] "GET / HTTP/1.1" 502 559 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:23 +0000] "GET /favicon.ico HTTP/1.1" 502 559 "http://comment.local/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:23 +0000] "GET / HTTP/1.1" 502 559 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:23 +0000] "GET /favicon.ico HTTP/1.1" 502 559 "http://comment.local/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:24 +0000] "GET / HTTP/1.1" 502 559 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:08:55:24 +0000] "GET /favicon.ico HTTP/1.1" 502 559 "http://comment.local/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:09:01:12 +0000] "GET / HTTP/1.1" 404 555 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:09:01:12 +0000] "GET /favicon.ico HTTP/1.1" 404 555 "http://web.comment.local/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:09:01:21 +0000] "GET / HTTP/1.1" 404 555 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:09:03:14 +0000] "GET / HTTP/1.1" 403 555 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:09:03:56 +0000] "GET / HTTP/1.1" 403 555 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.18.0.1 - - [23/Aug/2023:09:03:57 +0000] "GET / HTTP/1.1" 403 555 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.19.0.1 - - [23/Aug/2023:09:05:07 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.19.0.1 - - [23/Aug/2023:09:05:16 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.19.0.1 - - [23/Aug/2023:09:05:17 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.19.0.1 - - [23/Aug/2023:09:05:43 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:05:55 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:05:56 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:05:56 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:07:34 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:07:56 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:07:56 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:08:07 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:08:08 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:10:04 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:10:15 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Mobile Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:11:03 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Mobile Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:06 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:52 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:52 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:53 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:53 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:54 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:54 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:55 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:55 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:56 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:57 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:57 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:12:57 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:13:03 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Mobile Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:13:04 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:21 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:22 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:23 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:23 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:24 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:24 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:25 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:25 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:26 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:14:27 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:16:22 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:18:00 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Mobile Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:19:55 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:20 +0000] "GET / HTTP/1.1" 200 772 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:45 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:46 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:47 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:51 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:52 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:26:52 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
172.20.0.1 - - [23/Aug/2023:09:29:12 +0000] "GET / HTTP/1.1" 304 0 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36" "-"
2023/08/23 08:50:58 [notice] 1#1: using the "epoll" event method
2023/08/23 08:50:58 [notice] 1#1: nginx/1.22.1
2023/08/23 08:50:58 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 08:50:58 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 08:50:58 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 08:50:58 [notice] 1#1: start worker processes
2023/08/23 08:50:58 [notice] 1#1: start worker process 20
2023/08/23 08:50:58 [notice] 1#1: start worker process 21
2023/08/23 08:50:58 [notice] 1#1: start worker process 22
2023/08/23 08:50:58 [notice] 1#1: start worker process 23
2023/08/23 08:50:58 [notice] 1#1: start worker process 24
2023/08/23 08:54:51 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/08/23 08:54:51 [notice] 22#22: gracefully shutting down
2023/08/23 08:54:51 [notice] 22#22: exiting
2023/08/23 08:54:51 [notice] 20#20: gracefully shutting down
2023/08/23 08:54:51 [notice] 20#20: exiting
2023/08/23 08:54:51 [notice] 21#21: gracefully shutting down
2023/08/23 08:54:51 [notice] 21#21: exiting
2023/08/23 08:54:51 [notice] 24#24: gracefully shutting down
2023/08/23 08:54:51 [notice] 24#24: exiting
2023/08/23 08:54:51 [notice] 23#23: gracefully shutting down
2023/08/23 08:54:51 [notice] 23#23: exiting
2023/08/23 08:54:51 [notice] 22#22: exit
2023/08/23 08:54:51 [notice] 20#20: exit
2023/08/23 08:54:51 [notice] 21#21: exit
2023/08/23 08:54:51 [notice] 24#24: exit
2023/08/23 08:54:51 [notice] 23#23: exit
2023/08/23 08:54:51 [notice] 1#1: signal 17 (SIGCHLD) received from 22
2023/08/23 08:54:51 [notice] 1#1: worker process 22 exited with code 0
2023/08/23 08:54:51 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 08:54:51 [notice] 1#1: signal 17 (SIGCHLD) received from 21
2023/08/23 08:54:51 [notice] 1#1: worker process 21 exited with code 0
2023/08/23 08:54:51 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 08:54:51 [notice] 1#1: signal 17 (SIGCHLD) received from 23
2023/08/23 08:54:51 [notice] 1#1: worker process 23 exited with code 0
2023/08/23 08:54:51 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 08:54:51 [notice] 1#1: signal 17 (SIGCHLD) received from 24
2023/08/23 08:54:51 [notice] 1#1: worker process 24 exited with code 0
2023/08/23 08:54:51 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 08:54:51 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/08/23 08:54:51 [notice] 1#1: worker process 20 exited with code 0
2023/08/23 08:54:51 [notice] 1#1: exit
2023/08/23 08:54:52 [notice] 1#1: using the "epoll" event method
2023/08/23 08:54:52 [notice] 1#1: nginx/1.22.1
2023/08/23 08:54:52 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 08:54:52 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 08:54:52 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 08:54:52 [notice] 1#1: start worker processes
2023/08/23 08:54:52 [notice] 1#1: start worker process 20
2023/08/23 08:54:52 [notice] 1#1: start worker process 21
2023/08/23 08:54:52 [notice] 1#1: start worker process 22
2023/08/23 08:54:52 [notice] 1#1: start worker process 23
2023/08/23 08:54:52 [notice] 1#1: start worker process 24
2023/08/23 08:55:21 [error] 20#20: *2 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET / HTTP/1.1", upstream: "http://127.0.0.1:8080/", host: "comment.local"
2023/08/23 08:55:21 [error] 20#20: *2 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET /favicon.ico HTTP/1.1", upstream: "http://127.0.0.1:8080/favicon.ico", host: "comment.local", referrer: "http://comment.local/"
2023/08/23 08:55:22 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET / HTTP/1.1", upstream: "http://127.0.0.1:8080/", host: "comment.local"
2023/08/23 08:55:22 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET /favicon.ico HTTP/1.1", upstream: "http://127.0.0.1:8080/favicon.ico", host: "comment.local", referrer: "http://comment.local/"
2023/08/23 08:55:23 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET / HTTP/1.1", upstream: "http://127.0.0.1:8080/", host: "comment.local"
2023/08/23 08:55:23 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET /favicon.ico HTTP/1.1", upstream: "http://127.0.0.1:8080/favicon.ico", host: "comment.local", referrer: "http://comment.local/"
2023/08/23 08:55:23 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET / HTTP/1.1", upstream: "http://127.0.0.1:8080/", host: "comment.local"
2023/08/23 08:55:23 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET /favicon.ico HTTP/1.1", upstream: "http://127.0.0.1:8080/favicon.ico", host: "comment.local", referrer: "http://comment.local/"
2023/08/23 08:55:24 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET / HTTP/1.1", upstream: "http://127.0.0.1:8080/", host: "comment.local"
2023/08/23 08:55:24 [error] 23#23: *6 connect() failed (111: Connection refused) while connecting to upstream, client: 172.18.0.1, server: comment.local, request: "GET /favicon.ico HTTP/1.1", upstream: "http://127.0.0.1:8080/favicon.ico", host: "comment.local", referrer: "http://comment.local/"
2023/08/23 08:59:04 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/08/23 08:59:04 [notice] 20#20: gracefully shutting down
2023/08/23 08:59:04 [notice] 20#20: exiting
2023/08/23 08:59:04 [notice] 23#23: gracefully shutting down
2023/08/23 08:59:04 [notice] 21#21: gracefully shutting down
2023/08/23 08:59:04 [notice] 22#22: gracefully shutting down
2023/08/23 08:59:04 [notice] 22#22: exiting
2023/08/23 08:59:04 [notice] 24#24: gracefully shutting down
2023/08/23 08:59:04 [notice] 24#24: exiting
2023/08/23 08:59:04 [notice] 20#20: exit
2023/08/23 08:59:04 [notice] 23#23: exiting
2023/08/23 08:59:04 [notice] 21#21: exiting
2023/08/23 08:59:04 [notice] 21#21: exit
2023/08/23 08:59:04 [notice] 22#22: exit
2023/08/23 08:59:04 [notice] 24#24: exit
2023/08/23 08:59:04 [notice] 23#23: exit
2023/08/23 08:59:04 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/08/23 08:59:04 [notice] 1#1: worker process 20 exited with code 0
2023/08/23 08:59:04 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 08:59:04 [notice] 1#1: signal 17 (SIGCHLD) received from 21
2023/08/23 08:59:04 [notice] 1#1: worker process 21 exited with code 0
2023/08/23 08:59:04 [notice] 1#1: worker process 24 exited with code 0
2023/08/23 08:59:04 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 08:59:04 [notice] 1#1: signal 17 (SIGCHLD) received from 24
2023/08/23 08:59:04 [notice] 1#1: signal 17 (SIGCHLD) received from 22
2023/08/23 08:59:04 [notice] 1#1: worker process 22 exited with code 0
2023/08/23 08:59:04 [notice] 1#1: worker process 23 exited with code 0
2023/08/23 08:59:04 [notice] 1#1: exit
2023/08/23 08:59:05 [notice] 1#1: using the "epoll" event method
2023/08/23 08:59:05 [notice] 1#1: nginx/1.22.1
2023/08/23 08:59:05 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 08:59:05 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 08:59:05 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 08:59:05 [notice] 1#1: start worker processes
2023/08/23 08:59:05 [notice] 1#1: start worker process 20
2023/08/23 08:59:05 [notice] 1#1: start worker process 21
2023/08/23 08:59:05 [notice] 1#1: start worker process 22
2023/08/23 08:59:05 [notice] 1#1: start worker process 23
2023/08/23 08:59:05 [notice] 1#1: start worker process 24
2023/08/23 09:00:37 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/08/23 09:00:37 [notice] 21#21: gracefully shutting down
2023/08/23 09:00:37 [notice] 21#21: exiting
2023/08/23 09:00:37 [notice] 20#20: gracefully shutting down
2023/08/23 09:00:37 [notice] 24#24: gracefully shutting down
2023/08/23 09:00:37 [notice] 22#22: gracefully shutting down
2023/08/23 09:00:37 [notice] 23#23: gracefully shutting down
2023/08/23 09:00:37 [notice] 23#23: exiting
2023/08/23 09:00:37 [notice] 21#21: exit
2023/08/23 09:00:37 [notice] 20#20: exiting
2023/08/23 09:00:37 [notice] 20#20: exit
2023/08/23 09:00:37 [notice] 24#24: exiting
2023/08/23 09:00:37 [notice] 22#22: exiting
2023/08/23 09:00:37 [notice] 23#23: exit
2023/08/23 09:00:37 [notice] 24#24: exit
2023/08/23 09:00:37 [notice] 22#22: exit
2023/08/23 09:00:37 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/08/23 09:00:37 [notice] 1#1: worker process 20 exited with code 0
2023/08/23 09:00:37 [notice] 1#1: worker process 23 exited with code 0
2023/08/23 09:00:37 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:00:37 [notice] 1#1: signal 17 (SIGCHLD) received from 21
2023/08/23 09:00:37 [notice] 1#1: worker process 21 exited with code 0
2023/08/23 09:00:37 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:00:37 [notice] 1#1: signal 17 (SIGCHLD) received from 22
2023/08/23 09:00:37 [notice] 1#1: worker process 22 exited with code 0
2023/08/23 09:00:37 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:00:37 [notice] 1#1: signal 17 (SIGCHLD) received from 24
2023/08/23 09:00:37 [notice] 1#1: worker process 24 exited with code 0
2023/08/23 09:00:37 [notice] 1#1: exit
2023/08/23 09:00:37 [notice] 1#1: using the "epoll" event method
2023/08/23 09:00:37 [notice] 1#1: nginx/1.22.1
2023/08/23 09:00:37 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 09:00:37 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 09:00:37 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 09:00:37 [notice] 1#1: start worker processes
2023/08/23 09:00:37 [notice] 1#1: start worker process 20
2023/08/23 09:00:37 [notice] 1#1: start worker process 21
2023/08/23 09:00:37 [notice] 1#1: start worker process 22
2023/08/23 09:00:37 [notice] 1#1: start worker process 23
2023/08/23 09:00:37 [notice] 1#1: start worker process 24
2023/08/23 09:01:12 [error] 21#21: *1 "/www/index.html" is not found (2: No such file or directory), client: 172.18.0.1, server: web.comment.local, request: "GET / HTTP/1.1", host: "web.comment.local"
2023/08/23 09:01:12 [error] 21#21: *1 open() "/www/favicon.ico" failed (2: No such file or directory), client: 172.18.0.1, server: web.comment.local, request: "GET /favicon.ico HTTP/1.1", host: "web.comment.local", referrer: "http://web.comment.local/"
2023/08/23 09:01:21 [error] 22#22: *4 "/www/index.html" is not found (2: No such file or directory), client: 172.18.0.1, server: web.comment.local, request: "GET / HTTP/1.1", host: "web.comment.local"
2023/08/23 09:03:01 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/08/23 09:03:01 [notice] 23#23: gracefully shutting down
2023/08/23 09:03:01 [notice] 23#23: exiting
2023/08/23 09:03:01 [notice] 20#20: gracefully shutting down
2023/08/23 09:03:01 [notice] 20#20: exiting
2023/08/23 09:03:01 [notice] 22#22: gracefully shutting down
2023/08/23 09:03:01 [notice] 22#22: exiting
2023/08/23 09:03:01 [notice] 21#21: gracefully shutting down
2023/08/23 09:03:01 [notice] 21#21: exiting
2023/08/23 09:03:01 [notice] 24#24: gracefully shutting down
2023/08/23 09:03:01 [notice] 24#24: exiting
2023/08/23 09:03:01 [notice] 23#23: exit
2023/08/23 09:03:01 [notice] 20#20: exit
2023/08/23 09:03:01 [notice] 22#22: exit
2023/08/23 09:03:01 [notice] 21#21: exit
2023/08/23 09:03:01 [notice] 24#24: exit
2023/08/23 09:03:01 [notice] 1#1: signal 17 (SIGCHLD) received from 23
2023/08/23 09:03:01 [notice] 1#1: worker process 23 exited with code 0
2023/08/23 09:03:01 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:03:01 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/08/23 09:03:01 [notice] 1#1: worker process 20 exited with code 0
2023/08/23 09:03:01 [notice] 1#1: worker process 22 exited with code 0
2023/08/23 09:03:01 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:03:01 [notice] 1#1: signal 17 (SIGCHLD) received from 24
2023/08/23 09:03:01 [notice] 1#1: worker process 21 exited with code 0
2023/08/23 09:03:01 [notice] 1#1: worker process 24 exited with code 0
2023/08/23 09:03:01 [notice] 1#1: exit
2023/08/23 09:03:02 [notice] 1#1: using the "epoll" event method
2023/08/23 09:03:02 [notice] 1#1: nginx/1.22.1
2023/08/23 09:03:02 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 09:03:02 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 09:03:02 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 09:03:02 [notice] 1#1: start worker processes
2023/08/23 09:03:02 [notice] 1#1: start worker process 19
2023/08/23 09:03:02 [notice] 1#1: start worker process 20
2023/08/23 09:03:02 [notice] 1#1: start worker process 21
2023/08/23 09:03:02 [notice] 1#1: start worker process 22
2023/08/23 09:03:02 [notice] 1#1: start worker process 23
2023/08/23 09:03:14 [error] 21#21: *1 directory index of "/home/" is forbidden, client: 172.18.0.1, server: web.comment.local, request: "GET / HTTP/1.1", host: "web.comment.local"
2023/08/23 09:03:56 [error] 20#20: *4 directory index of "/home/" is forbidden, client: 172.18.0.1, server: web.comment.local, request: "GET / HTTP/1.1", host: "web.comment.local"
2023/08/23 09:03:57 [error] 21#21: *7 directory index of "/home/" is forbidden, client: 172.18.0.1, server: web.comment.local, request: "GET / HTTP/1.1", host: "web.comment.local"
2023/08/23 09:04:51 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/08/23 09:04:51 [notice] 19#19: gracefully shutting down
2023/08/23 09:04:51 [notice] 19#19: exiting
2023/08/23 09:04:51 [notice] 20#20: gracefully shutting down
2023/08/23 09:04:51 [notice] 20#20: exiting
2023/08/23 09:04:51 [notice] 22#22: gracefully shutting down
2023/08/23 09:04:51 [notice] 22#22: exiting
2023/08/23 09:04:51 [notice] 21#21: gracefully shutting down
2023/08/23 09:04:51 [notice] 21#21: exiting
2023/08/23 09:04:51 [notice] 23#23: gracefully shutting down
2023/08/23 09:04:51 [notice] 23#23: exiting
2023/08/23 09:04:51 [notice] 19#19: exit
2023/08/23 09:04:51 [notice] 20#20: exit
2023/08/23 09:04:51 [notice] 22#22: exit
2023/08/23 09:04:51 [notice] 21#21: exit
2023/08/23 09:04:51 [notice] 23#23: exit
2023/08/23 09:04:51 [notice] 1#1: signal 17 (SIGCHLD) received from 19
2023/08/23 09:04:51 [notice] 1#1: worker process 19 exited with code 0
2023/08/23 09:04:51 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:04:51 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/08/23 09:04:51 [notice] 1#1: worker process 20 exited with code 0
2023/08/23 09:04:51 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:04:51 [notice] 1#1: signal 17 (SIGCHLD) received from 22
2023/08/23 09:04:51 [notice] 1#1: worker process 21 exited with code 0
2023/08/23 09:04:51 [notice] 1#1: worker process 22 exited with code 0
2023/08/23 09:04:51 [notice] 1#1: worker process 23 exited with code 0
2023/08/23 09:04:51 [notice] 1#1: exit
2023/08/23 09:04:55 [notice] 1#1: using the "epoll" event method
2023/08/23 09:04:55 [notice] 1#1: nginx/1.22.1
2023/08/23 09:04:55 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 09:04:55 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 09:04:55 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 09:04:55 [notice] 1#1: start worker processes
2023/08/23 09:04:55 [notice] 1#1: start worker process 19
2023/08/23 09:04:55 [notice] 1#1: start worker process 20
2023/08/23 09:04:55 [notice] 1#1: start worker process 21
2023/08/23 09:04:55 [notice] 1#1: start worker process 22
2023/08/23 09:04:55 [notice] 1#1: start worker process 23
2023/08/23 09:05:49 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/08/23 09:05:49 [notice] 19#19: gracefully shutting down
2023/08/23 09:05:49 [notice] 22#22: gracefully shutting down
2023/08/23 09:05:49 [notice] 22#22: exiting
2023/08/23 09:05:49 [notice] 23#23: gracefully shutting down
2023/08/23 09:05:49 [notice] 23#23: exiting
2023/08/23 09:05:49 [notice] 21#21: gracefully shutting down
2023/08/23 09:05:49 [notice] 21#21: exiting
2023/08/23 09:05:49 [notice] 20#20: gracefully shutting down
2023/08/23 09:05:49 [notice] 19#19: exiting
2023/08/23 09:05:49 [notice] 19#19: exit
2023/08/23 09:05:49 [notice] 22#22: exit
2023/08/23 09:05:49 [notice] 23#23: exit
2023/08/23 09:05:49 [notice] 21#21: exit
2023/08/23 09:05:49 [notice] 20#20: exiting
2023/08/23 09:05:49 [notice] 20#20: exit
2023/08/23 09:05:49 [notice] 1#1: signal 17 (SIGCHLD) received from 22
2023/08/23 09:05:49 [notice] 1#1: worker process 19 exited with code 0
2023/08/23 09:05:49 [notice] 1#1: worker process 22 exited with code 0
2023/08/23 09:05:49 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:05:49 [notice] 1#1: signal 17 (SIGCHLD) received from 23
2023/08/23 09:05:49 [notice] 1#1: worker process 23 exited with code 0
2023/08/23 09:05:49 [notice] 1#1: worker process 21 exited with code 0
2023/08/23 09:05:49 [notice] 1#1: signal 29 (SIGIO) received
2023/08/23 09:05:49 [notice] 1#1: signal 17 (SIGCHLD) received from 21
2023/08/23 09:05:49 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/08/23 09:05:49 [notice] 1#1: worker process 20 exited with code 0
2023/08/23 09:05:49 [notice] 1#1: exit
2023/08/23 09:05:53 [notice] 1#1: using the "epoll" event method
2023/08/23 09:05:53 [notice] 1#1: nginx/1.22.1
2023/08/23 09:05:53 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/08/23 09:05:53 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/08/23 09:05:53 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/08/23 09:05:53 [notice] 1#1: start worker processes
2023/08/23 09:05:53 [notice] 1#1: start worker process 20
2023/08/23 09:05:53 [notice] 1#1: start worker process 21
2023/08/23 09:05:53 [notice] 1#1: start worker process 22
2023/08/23 09:05:53 [notice] 1#1: start worker process 23
2023/08/23 09:05:53 [notice] 1#1: start worker process 24
2023/11/21 13:36:58 [notice] 1#1: using the "epoll" event method
2023/11/21 13:36:58 [notice] 1#1: nginx/1.22.1
2023/11/21 13:36:58 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/11/21 13:36:58 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/11/21 13:36:58 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/11/21 13:36:58 [notice] 1#1: start worker processes
2023/11/21 13:36:58 [notice] 1#1: start worker process 20
2023/11/21 13:36:58 [notice] 1#1: start worker process 21
2023/11/21 13:36:58 [notice] 1#1: start worker process 22
2023/11/21 13:36:58 [notice] 1#1: start worker process 23
2023/11/21 13:36:58 [notice] 1#1: start worker process 24
2023/11/24 02:52:19 [notice] 1#1: signal 3 (SIGQUIT) received, shutting down
2023/11/24 02:52:19 [notice] 20#20: gracefully shutting down
2023/11/24 02:52:19 [notice] 21#21: gracefully shutting down
2023/11/24 02:52:19 [notice] 23#23: gracefully shutting down
2023/11/24 02:52:19 [notice] 24#24: gracefully shutting down
2023/11/24 02:52:19 [notice] 22#22: gracefully shutting down
2023/11/24 02:52:19 [notice] 22#22: exiting
2023/11/24 02:52:19 [notice] 21#21: exiting
2023/11/24 02:52:19 [notice] 20#20: exiting
2023/11/24 02:52:19 [notice] 23#23: exiting
2023/11/24 02:52:19 [notice] 24#24: exiting
2023/11/24 02:52:19 [notice] 22#22: exit
2023/11/24 02:52:19 [notice] 21#21: exit
2023/11/24 02:52:19 [notice] 20#20: exit
2023/11/24 02:52:19 [notice] 23#23: exit
2023/11/24 02:52:19 [notice] 24#24: exit
2023/11/24 02:52:19 [notice] 1#1: signal 17 (SIGCHLD) received from 20
2023/11/24 02:52:19 [notice] 1#1: worker process 20 exited with code 0
2023/11/24 02:52:19 [notice] 1#1: signal 29 (SIGIO) received
2023/11/24 02:52:19 [notice] 1#1: signal 17 (SIGCHLD) received from 24
2023/11/24 02:52:19 [notice] 1#1: worker process 21 exited with code 0
2023/11/24 02:52:19 [notice] 1#1: worker process 22 exited with code 0
2023/11/24 02:52:19 [notice] 1#1: worker process 23 exited with code 0
2023/11/24 02:52:19 [notice] 1#1: worker process 24 exited with code 0
2023/11/24 02:52:19 [notice] 1#1: exit
2023/11/29 10:50:00 [notice] 1#1: using the "epoll" event method
2023/11/29 10:50:00 [notice] 1#1: nginx/1.22.1
2023/11/29 10:50:00 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/11/29 10:50:00 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/11/29 10:50:00 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/11/29 10:50:00 [notice] 1#1: start worker processes
2023/11/29 10:50:00 [notice] 1#1: start worker process 19
2023/11/29 10:50:00 [notice] 1#1: start worker process 20
2023/11/29 10:50:00 [notice] 1#1: start worker process 21
2023/11/29 10:50:00 [notice] 1#1: start worker process 22
2023/11/29 10:50:00 [notice] 1#1: start worker process 23
2023/11/29 11:47:46 [notice] 1#1: using the "epoll" event method
2023/11/29 11:47:46 [notice] 1#1: nginx/1.22.1
2023/11/29 11:47:46 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/11/29 11:47:46 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/11/29 11:47:46 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/11/29 11:47:46 [notice] 1#1: start worker processes
2023/11/29 11:47:46 [notice] 1#1: start worker process 20
2023/11/29 11:47:46 [notice] 1#1: start worker process 21
2023/11/29 11:47:46 [notice] 1#1: start worker process 22
2023/11/29 11:47:46 [notice] 1#1: start worker process 23
2023/11/29 11:47:46 [notice] 1#1: start worker process 24
2023/12/03 05:37:37 [notice] 1#1: using the "epoll" event method
2023/12/03 05:37:37 [notice] 1#1: nginx/1.22.1
2023/12/03 05:37:37 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6)
2023/12/03 05:37:37 [notice] 1#1: OS: Linux 5.15.49-linuxkit
2023/12/03 05:37:37 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
2023/12/03 05:37:37 [notice] 1#1: start worker processes
2023/12/03 05:37:37 [notice] 1#1: start worker process 20
2023/12/03 05:37:37 [notice] 1#1: start worker process 21
2023/12/03 05:37:37 [notice] 1#1: start worker process 22
2023/12/03 05:37:37 [notice] 1#1: start worker process 23
2023/12/03 05:37:37 [notice] 1#1: start worker process 24
<html>
<head>
<meta charset="UTF-8" />
<!-- CSS -->
<link href="http://192.168.1.6:8080/dist/Artalk.css" rel="stylesheet">
<!-- JS -->
<script src="http://192.168.1.6:8080/dist/Artalk.js"></script>
<!-- Artalk -->
<div id="Comments"></div>
<script>
Artalk.init({
el: '#Comments', // 绑定元素的 Selector
pageKey: '/post/1', // 固定链接 (留空自动获取)
pageTitle: '关于引入 Artalk 的这档子事', // 页面标题 (留空自动获取)
server: 'http://192.168.1.6:8080', // 后端地址
site: 'Default Site', // 你的站点名
})
</script>
</head>
<body>
</body>
</html>
version: '2'
services:
ams-task:
image: registry.cn-zhangjiakou.aliyuncs.com/hudongtang-dev/hudongtang-cms-worker:master-test
restart: always
networks:
- backend
networks:
backend:
driver: "bridge"
Markdown 格式
0%
您添加了 0 到此讨论。请谨慎行事。
请先完成此评论的编辑!
注册 或者 后发表评论